#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ push通知一括取得


require 'uri'
require 'net/http'
require 'json'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/json"

req = Net::HTTP::Post.new("/api01rv2/pusheventgetv2")

BODY = <<EOF 
{
  "pusheventgetv2req": {
    "event": "patient_accept",
    "user": "ormaster",
    "start_time": "2018-01-25 13:00",
    "end_time": "2018-01-26 12:59"
  }
}
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts JSON.pretty_generate(JSON(res.body))
}
